Skip to main content

IncludingYumDNFCompatRecipe

All Cookstyle Cops


The department is: Chef/Deprecations

The full name of the cop is: Chef/Deprecations/IncludingYumDNFCompatRecipe


Enabled by defaultSupports autocorrectionTarget Chef Version
EnabledYesAll Versions

Don’t include the deprecated yum DNF compatibility recipe, which is no longer necessary as Chef Infra Client includes DNF package support

Examples

incorrect

include_recipe 'yum::dnf_yum_compat'

Configurable attributes

NameDefault valueConfigurable values
Version Added5.3.0String
Exclude
  • **/metadata.rb
Array

Was this page helpful?